Config = function()
{
  this.nodesTypes = null;
  this.nodesByEdgesTypes = null;
  this.edgesTypes = null;
  this.nodePrefix = null;
  this.linkPrefix = null;
  this.nodeLimit = null;
  this.endPoint = null;
}

/**
 * Load the config file
 * @param {function}           callback                 The callback
 */
Config.prototype.load = function(callback)
{
  var me = this;

  var fileName = "config.json";

  var jqxhr = $.getJSON(fileName, null)
  .done(function(content)
  {
    me.nodesTypes = content.nodesTypes;
    me.nodesByEdgesTypes = content.nodesByEdgesTypes;
    me.edgesTypes = content.edgesTypes;
    me.nodePrefix = content.nodePrefix;
    me.linkPrefix = content.linkPrefix;
    me.nodeLimit = content.nodeLimit;
    me.endPoint = content.endPoint;

    callback();
  })
  .fail(function(d, textStatus, error)
  {
    console.error("getJSON failed, status: " + textStatus + ", error: "+error);
  })
  .always(function()
  {

  });
};
